> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# `POST /api/v1/reviews`

> `POST /api/v1/reviews`

### Request body

`CreateReviewRequest`

<ParamField body="body" type="string,null">
  Review body text.
</ParamField>

<ParamField body="customer_id" type="string (uuid)" required>
  Customer who wrote the review.
</ParamField>

<ParamField body="product_id" type="string (uuid)" required>
  Product being reviewed.
</ParamField>

<ParamField body="rating" type="integer (int32)" required>
  Star rating (1-5).
</ParamField>

<ParamField body="title" type="string,null">
  Review headline.
</ParamField>

<ParamField body="verified_purchase" type="boolean,null">
  Whether the reviewer actually purchased the product.
</ParamField>

### Responses

<ResponseField name="201" type="ReviewResponse">
  Review created
</ResponseField>

<ResponseField name="400" type="ErrorBody">
  Invalid request
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.stateset.com/api/v1/reviews' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{
    "body": null,
    "customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "product_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "rating": 1,
    "title": null,
    "verified_purchase": null
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 201 theme={null}
  {
    "body": "string",
    "created_at": "2026-07-24T12:00:00Z",
    "customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "helpful_count": 1,
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "product_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "rating": 1,
    "status": "string",
    "title": "string",
    "verified_purchase": true
  }
  ```
</ResponseExample>
